<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package LZ Fitness Premium
 */

?>
<div class="container">
	<footer id="ht-colophon" class="ht-site-footer">
		<?php if(is_active_sidebar('lz-fitness-footer1') || is_active_sidebar('lz-fitness-footer2') || is_active_sidebar('lz-fitness-footer3') || is_active_sidebar('lz-fitness-footer4')){ ?>
			<div id="ht-top-footer">
				<div class="container">
					<div class="ht-top-footer ht-clearfix">
						<div class="ht-footer ht-footer1">
							<?php if(is_active_sidebar('lz-fitness-footer1')): 
								dynamic_sidebar('lz-fitness-footer1');
							endif;
							?>	
						</div>

						<div class="ht-footer ht-footer2">
							<?php if(is_active_sidebar('lz-fitness-footer2')): 
								dynamic_sidebar('lz-fitness-footer2');
							endif;
							?>	
						</div>

						<div class="ht-footer ht-footer3">
							<?php if(is_active_sidebar('lz-fitness-footer3')): 
								dynamic_sidebar('lz-fitness-footer3');
							endif;
							?>	
						</div>

						<div class="ht-footer ht-footer4">
							<?php if(is_active_sidebar('lz-fitness-footer4')): 
								dynamic_sidebar('lz-fitness-footer4');
							endif;
							?>	
						</div>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
		<?php } ?>
		<div id="middle-footer" class="footer-social-icon">
			<?php
			$facebook = get_theme_mod('lz_fitness_footer_facebook', '//facebook.com/');
			$twitter = get_theme_mod('lz_fitness_footer_twitter', '//twitter.com/');
			$youtube = get_theme_mod('lz_fitness_footer_youtube', '//https://www.youtube.com/');
			$linkedIn = get_theme_mod('lz_fitness_footer_linkedin', '//linkedin.com/');
			$followus = get_theme_mod('lz_fitness_footer_followus', 'FOLLOW US'); 
			?>
			<div class="footer-follow-text">
				<?php if($followus){ ?>
									<?php echo esc_html($followus);  ?>
								<?php } ?>
			</div>
			<ul class="footer-sm-links">
				<?php if(!empty($facebook)){ ?>
					<li><a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><span class="fa fa-facebook"></span></a></li>
				<?php }?>
				<?php if(!empty($twitter)){ ?>
					<li><a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><span class="fa fa-twitter"></span></a></li>
				<?php }?>
				<?php if(!empty($youtube)){ ?>
					<li><a href="<?php echo $youtube ?>" title="youtube" target="_blank"><span class="fa fa-youtube"></span></a></li>
				<?php }?>
				<?php if(!empty($linkedIn)){ ?>
					<li><a href="<?php echo $linkedIn ?>" title="Linked In" target="_blank"><span class="fa fa-linkedin"></span></a></li>
				<?php }?>
			</ul>
		</div>

		<div id="ht-bottom-footer">
			<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
			<div class="container bottom-footer-box">
				<?php if($footercopyright){ ?>
					<div class="ht-site-info">
					<!-- 	<?php //lz_fitness_lite_copyrights_credit();?> -->
						<span><?php echo $footercopyright;?></span>
					</div><!-- #site-info -->
				<?php } ?>
			</div>
		</div>
	</footer><!-- #colophon -->
</div>
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<?php wp_footer(); ?>

</body>
</html>
