<?php
/**
* The header for our theme.
*
* This is the template that displays all of the <head> section and everything up until <div id="content">
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package LZ Fitness Premium
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>

<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
<link href="https://fonts.googleapis.com/css?family=Aldrich|Audiowide" rel="stylesheet">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
<link href="https://fonts.googleapis.com/css?family=Roboto:700" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Poppins|Roboto:400,900" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Lato|Roboto+Condensed:700" rel="stylesheet">
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
<!--new for faq-->
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.min.js" crossorigin="anonymous"></script>
<!--new faq-->
<!--end script for search bar-->
<script>
function buttonUp(){
var valux = $('.sb-search-input').val(); 
valux = $.trim(valux).length;
if(valux !== 0){
$('.sb-search-submit').css('z-index','99');
} else{
$('.sb-search-input').val(''); 
$('.sb-search-submit').css('z-index','-999');
}
}

$(document).ready(function(){
var submitIcon = $('.sb-icon-search');
var submitInput = $('.sb-search-input');
var searchBox = $('.sb-search');
var isOpen = false;

$(document).mouseup(function(){
if(isOpen == true){
	submitInput.val('');
	$('.sb-search-submit').css('z-index','-999');
	submitIcon.click();
}
});

submitIcon.mouseup(function(){
return false;
});

searchBox.mouseup(function(){
return false;
});

submitIcon.click(function(){
if(isOpen == false){
	searchBox.addClass('sb-search-open');
	isOpen = true;
} else {
	searchBox.removeClass('sb-search-open');
	isOpen = false;
}
});

});
</script><!--end script for search bar-->

<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div class="overlay"></div>	
<div class="container">
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'gurukul' ); ?></a>
<header id="ht-masthead" class="ht-site-header">
<div class="main-header">

	<div class="header-left col-md-3 col-sm-3">
		<div class="logobox">
			<?php 
			if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
				the_custom_logo();
		else : 
			if ( is_front_page() ) : ?>
				<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php else : ?>
					<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php endif; ?>
				<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
			<?php endif; ?>
			<!-- .site-branding -->
		</div>
	</div>
<div class="col-md-9 padding0">
	<div class="col-md-9 col-sm-9 text-right"> 
		<?php
		$email = get_theme_mod('lz_fitness_headermain_email', 'info@companyname.com');
		$phone = get_theme_mod('lz_fitness_headermain_phone', '1(800 5678765)'); 
		$myaccounttitle = get_theme_mod('lz_fitness_headermain_myaccounttitle', 'Account'); 
		$myaccount = get_theme_mod('lz_fitness_header_myaccount', 'add myaccount page link here');
		$checkouttitle = get_theme_mod('lz_fitness_headermain_checkouttitle', 'Checkout'); 
		$checkout = get_theme_mod('lz_fitness_header_checkout', 'add checkout page link here');
		$cartlabel = get_theme_mod('lz_fitness_headermain_cartlabel', 'Shopping Cart'); 
		$itemlabel = get_theme_mod('lz_fitness_headermain_itemlabel', 'items'); 
		
		?>
		<ul class="header-sm-links">
			<?php if(!empty($myaccount)){ ?>
				<li><a href="<?php echo $myaccount ?>" title="myaccount"><?php echo esc_html($myaccounttitle);  ?></a></li>
			<?php }?> 
			<?php if(!empty($checkout)){ ?>
				<li><a href="<?php echo $checkout ?>" title="checkout"><?php echo esc_html($checkouttitle);  ?></a></li>
			<?php }?> 
			<?php if(!empty($phone)){ ?>
				<li><i class="fa fa-phone"></i><?php echo esc_html($phone);  ?> </li>
			<?php }?> 
			<?php if(!empty($email)){ ?>
				<li><i class="fa fa-envelope"></i><?php echo esc_html($email);  ?> </li>
			<?php }?> 
				</ul>
			</div>	

	<div class="lower-header">
			<div class="col-md-7">
				<nav id="ht-site-navigation" class="ht-main-navigation">

					<div class="toggle-bar"><span><i class="fa fa-bars" aria-hidden="true"></i></span></div>
					<?php 
					wp_nav_menu( array( 
						'theme_location' => 'primary', 
						'container_class' => 'ht-menu clearfix' ,
						'menu_class' => 'ht-clearfix',
						'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
					) ); 
					?>

				</nav><!-- #ht-site-navigation -->
			</div>
			<div class="col-md-3 col-sm-8 col-xs-9">
				<div id="sb-search" class="sb-search">
					   <form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
						<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
						<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'woocommerce' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
						<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
						<input type="hidden" name="post_type" value="product" />
					</form>
				</div>	
			</div>

			<div class="col-sm-2 col-xs-3 upper-header padding0">	
				<div class="total-count pull-left">				
					<?php if(function_exists ('wc_get_cart_url')){?>				
						<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a>
						<div class="count"><?php global $woocommerce; ?> <?php echo WC()->cart->get_cart_contents_count(); ?> </div>
					
					</div>
					<div class="header-cart-text text-left">
						<a href="<?php echo wc_get_cart_url();?>" class=""><p> <?php echo esc_html($cartlabel);  ?> <br><?php global $woocommerce; ?></p></a>
						<?php global $woocommerce; ?><?php echo WC()->cart->get_cart_contents_count(); ?> <?php echo esc_html($itemlabel);  ?> 
					</div>
				<?php }?>
			</div>


		<div class="clearfix"></div>
	</div>
	<div class="clearfix"></div>

</div>	
<div class="clearfix"></div> 
</div>


	<div class="header-main-box">
			<?php if(class_exists('woocommerce')){ ?>
				<div class="col-md-3 col-sm-3 header-category-box padding10">
					<?php
					$lz_fitness_header_browsebydept = get_theme_mod('lz_fitness_header_browsebydept', 'BROWSE BY DEPARTMENT');
					?>
					<button class="product-btn"><i class="fa fa-bars" aria-hidden="true"></i><?php echo esc_html_e($lz_fitness_header_browsebydept,'lz-fashion-ecommerce'); ?></button>
					<div class="product-cat">
						<?php
						$args = array(
	              //'number'     => $number,
							'orderby'    => 'title',
							'order'      => 'ASC',
							'hide_empty' => 0,
							'parent'  => 0
	              //'include'    => $ids
						);
						$product_categories = get_terms( 'product_cat', $args );
						$count = count($product_categories);
						if ( $count > 0 ){
							foreach ( $product_categories as $product_category ) {
								$cat_id   = $product_category->term_id;
								$cat_link = get_category_link( $cat_id );
								if ($product_category->category_parent == 0) { ?>
									<li class="drp_dwn_menu"><a href="<?php echo esc_url(get_term_link( $product_category ) ); ?>">
										<?php
									}
									echo esc_html( $product_category->name ); ?></a></li>
									<?php
								}
							}
							?>
						</div>
					</div>
				<?php }else {
					echo '<h6>'.esc_html('Please Install Woocommerce Plugin','lz-fashion-ecommerce').'<h6>'; }?>

					<div class="col-md-9 col-sm-9 products-link-btn">
						<?php
						$lz_fitness_products_link_Text = get_theme_mod('lz_fitness_products_link_Text', '2018 SALE NOW ON MASSIVE SAVINGS!');
						$productstitletExt = get_theme_mod('lz_fitness_headermain_productstitletExt', 'VIEW PRODUCTS'); 
						$productstitletExtlink = get_theme_mod('lz_fitness_header_productstitletExtlink', 'add link here');
						?>
						<div class="col-md-8 col-md-offset-1 col-sm-8 product-link-tagline">
						<?php if($lz_fitness_products_link_Text){ ?>
							<h2 class="products-link-title"><?php echo esc_html($lz_fitness_products_link_Text); ?></h2>
						<?php } ?>
					</div>
					<div class="col-md-3 col-sm-3 product-tagline-link">
						<?php if(!empty($productstitletExtlink)){ ?>
							<a href="<?php echo $productstitletExtlink ?>" title="products"><?php echo esc_html($productstitletExt);  ?></a>
						<?php }?>
						</div> 
					</div>
					<div class="clearfix"></div>


			</div>
			<div class="clearfix"></div>
		</header><!-- #masthead -->
	</div>
