<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'lz-fitness-premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'lz-fitness-premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'lz-fitness-premium'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#e46d07');

// Set heading/title colour
//addColorPalatOption($wp_customize, 'lz_fitness_title_color', 'colors', 'Heading Text Color', '#fe5722');

//theme Secondary color
//addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#0a3890');
addColorPalatOption($wp_customize, 'lz_fitness_template_allinnerpagetitlecolor', 'colors', 'Inner Page Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_allinnerpagetitleBackgroundcolor', 'colors', 'Inner Page Title Background Color', '#cf4640');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerBreadcrumbboxBackgroundcolor', 'colors', 'Inner Page Breadcrumb box Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerBreadcrumbboxTextcolor', 'colors', 'Inner Page Breadcrumb box Text Color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerBreadcrumbboxSpancolor', 'colors', 'Inner Page Breadcrumb box Span Text Color', '#000000');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerBreadcrumbbordercolor', 'colors', 'Inner Page Breadcrumb box bottom border Color', '#cccccc');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetTitlecolor', 'colors', 'Inner Page Sidebar Widget Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetTitlebackgroundcolor', 'colors', 'Inner Page Sidebar Widget Title Background Color', '#cf4640');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetmTextcolor', 'colors', 'Inner Page Sidebar Widget Text Color', '#202020');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetboxxbackground', 'colors', 'Inner Page Sidebar Widget Box Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetboxxbordercolor', 'colors', 'Inner Page Sidebar Widget Box Border Color', '#e7e2e2');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerWidgetboxx_bottombordercolor', 'colors', 'Inner Page Sidebar Widget elements bottom border Color', '#e7e2e2');
//addColorPalatOption($wp_customize, 'lz_fitness_template_topfooterbgcolor', 'colors', 'Top Footer Background Color', '#2e2e2e');
//addColorPalatOption($wp_customize, 'lz_fitness_template_bottomfooterbgcolor', 'colors', 'Bottom Footer Background Color', '#2a2a2a');
//addColorPalatOption($wp_customize, 'lz_fitness_template_Copyrighttcolor', 'colors', 'Copyright Text Color', '#aaa');

//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

// My Account
$wp_customize->add_setting(
	'lz_fitness_headermain_myaccounttitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'My Account' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_myaccounttitle',
	array(
		'settings'      => 'lz_fitness_headermain_myaccounttitle',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'My Account Text', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_header_myaccount',	array('default'=> 'add myaccount page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_myaccount',
	array(
		'settings'      => 'lz_fitness_header_myaccount',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'My account Page Url', 'gurukul' )
	)
);
// Checkout
$wp_customize->add_setting(
	'lz_fitness_headermain_checkouttitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Checkout' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_checkouttitle',
	array(
		'settings'      => 'lz_fitness_headermain_checkouttitle',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Checkout Text', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_header_checkout',	array('default'=> 'add checkout page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_checkout',
	array(
		'settings'      => 'lz_fitness_header_checkout',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Checkout Page Url', 'gurukul' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '08 9535 5005' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@companyname.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Email-Id', 'lz-fitness-premium' )
	)
);

// Cart Label
$wp_customize->add_setting(
	'lz_fitness_headermain_cartlabel',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Shopping Cart' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_cartlabel',
	array(
		'settings'      => 'lz_fitness_headermain_cartlabel',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Cart Label', 'lz-fitness-premium' )
	)
);

// Cart Label
$wp_customize->add_setting(
	'lz_fitness_headermain_itemlabel',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'items' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_itemlabel',
	array(
		'settings'      => 'lz_fitness_headermain_itemlabel',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Items Label', 'lz-fitness-premium' )
	)
);

// discount tagline
$wp_customize->add_setting(
	'lz_fitness_products_link_Text',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '2018 SALE NOW ON MASSIVE SAVINGS!', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_products_link_Text',
	array(
		'settings'      => 'lz_fitness_products_link_Text',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'textarea',
		'label'         => __( 'Discount Text', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_productstitletExt',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'VIEW PRODUCTS' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_productstitletExt',
	array(
		'settings'      => 'lz_fitness_headermain_productstitletExt',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Button Text', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting('lz_fitness_header_productstitletExtlink',	array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_productstitletExtlink',
	array(
		'settings'      => 'lz_fitness_header_productstitletExtlink',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Button Url', 'gurukul' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_header_browsebydept',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'BROWSE BY DEPARTMENT' )
	)
);
$wp_customize->add_control(
	'lz_fitness_header_browsebydept',
	array(
		'settings'      => 'lz_fitness_header_browsebydept',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Category box text', 'lz-fitness-premium' )
	)
);

 // header background color
addColorPalatOption($wp_customize, 'lz_fitness_header_HeaderTextColor', 'lz_fitness_header_settings', 'Header Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_header_AccountCheckRegTextColor', 'lz_fitness_header_settings', 'Account/Checkout Link hover Color', '#e46d07');

addColorPalatOption($wp_customize, 'lz_fitness_header_Headerbeforeaftercolor', 'lz_fitness_header_settings', 'before after bar color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_phoniconColor', 'lz_fitness_header_settings', 'Phone & Location Icon Color', '#e46d07');
//addColorPalatOption($wp_customize, 'lz_fitness_header_TbackgroundColor', 'lz_fitness_header_settings', 'Top Header Background color', '#2c2c2c'); 

//addColorPalatOption($wp_customize, 'lz_fitness_header_backgroundColor', 'lz_fitness_header_settings', 'Main Header Background color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_carticonColor', 'lz_fitness_header_settings', 'Cart Icon color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_header_carticonBackgroundColor', 'lz_fitness_header_settings', 'Cart Icon Background color', '#cccccc');
addColorPalatOption($wp_customize, 'lz_fitness_header_cartitemcounttextColor', 'lz_fitness_header_settings', 'Cart Item Count Text color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_header_CartTextcolor', 'lz_fitness_header_settings', 'Cart Text Color', '#ffffff'); 

addColorPalatOption($wp_customize, 'lz_fitness_header_CategoryBoxxTitlecolor', 'lz_fitness_header_settings', 'Category Box Title color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_CategoryBoxxIconcolor', 'lz_fitness_header_settings', 'Category Box Icon color', '#ffffff'); 

addColorPalatOption($wp_customize, 'lz_fitness_header_CategoryTextboxColor', 'lz_fitness_header_settings', 'Category Text Box Background color', '#dd0000'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_CategoryboxColor', 'lz_fitness_header_settings', 'Category Box Background color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_CategoryTextColor', 'lz_fitness_header_settings', 'Category Box Text color', '#000000'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_mainmenucolor', 'lz_fitness_header_settings', 'Header Menu Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_mainmenuhovercolor', 'lz_fitness_header_settings', 'Header Menu Hover Color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_header_submainmenucolor', 'lz_fitness_header_settings', 'Header Sub Menu Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_submainmenuhovercolor', 'lz_fitness_header_settings', 'Header Sub Menu Hover Color', '#000000'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_submainmenubackgroundhovercolor', 'lz_fitness_header_settings', 'Header Sub Menu Hover Background Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_submainmenuDropdownhovercolor', 'lz_fitness_header_settings', 'Dropdown Box Background Color', '#272727'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_DiscountTextcolor', 'lz_fitness_header_settings', 'Discount Text Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_DiscountButtonTextcolor', 'lz_fitness_header_settings', 'Button Text Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_DiscountButtonBackgroundcolor', 'lz_fitness_header_settings', 'Button Background Color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_header_DiscountsBoxxBackgroundcolor', 'lz_fitness_header_settings', 'Discount Box Background Color', '#cf4640');

//addColorPalatOption($wp_customize, 'lz_fitness_header_DiscountButtonStickyBackgroundcolor', 'lz_fitness_header_settings', 'Background Color For Sticky', '#00000000');


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '© 2018 Toy Store. All Rights Reserved', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_footer_followus',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_followus',
	array(
		'settings'      => 'lz_fitness_footer_followus',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Social Tagline', 'lz-fitness-premium' )
	)
);


// FACEBOOK 
$wp_customize->add_setting('lz_fitness_footer_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_facebook',
	array(
		'settings'      => 'lz_fitness_footer_facebook',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_footer_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_twitter',
	array(
		'settings'      => 'lz_fitness_footer_twitter',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_footer_youtube', array('default' => 'https://www.youtube.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_youtube',
	array(
		'settings'      => 'lz_fitness_footer_youtube',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Youtube Url', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_footer_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_linkedin',
	array(
		'settings'      => 'lz_fitness_footer_linkedin',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);

addColorPalatOption($wp_customize, 'lz_fitness_template_footerttitlecolor', 'lz_fitness_footer_copyright_settings', 'Title Color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_template_footertextlinkcolor', 'lz_fitness_footer_copyright_settings', 'Footer Menu Color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_template_footertextlinkhovercolor', 'lz_fitness_footer_copyright_settings', 'Footer Menu Hover Color', '#e46d07');

addColorPalatOption($wp_customize, 'lz_fitness_template_footertextfootermenuIconcolor', 'lz_fitness_footer_copyright_settings', 'Footer menu Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_footertextfootermenuIconHovercolor', 'lz_fitness_footer_copyright_settings', 'Footer menu Icon Hover Color', '#e46d07');

addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormTextFieldcolor', 'lz_fitness_footer_copyright_settings', 'Form Text Field Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormTextFieldBordercolor', 'lz_fitness_footer_copyright_settings', 'Form Text Field Border Color', '#c4c4c4');

addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormTextcolor', 'lz_fitness_footer_copyright_settings', 'Form Text Color', '#404040');

addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormPlaceholderTextcolor', 'lz_fitness_footer_copyright_settings', 'Form Placeholder Text Color', '#969191');

addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormButtonbackcolor', 'lz_fitness_footer_copyright_settings', 'Form Button Background Color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerFormxButtonTextColor', 'lz_fitness_footer_copyright_settings', 'Form Button Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_template_footerSocial Taglinecolor', 'lz_fitness_footer_copyright_settings', 'Social Tagline Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerSocialcolor', 'lz_fitness_footer_copyright_settings', 'Social Icon Color', '#4c4c4c');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerSocialIconHovercolor', 'lz_fitness_footer_copyright_settings', 'Social Icon Hover Color', '#de0000');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerSocialIconBordercolor', 'lz_fitness_footer_copyright_settings', 'Social Icon Border Color', '#4c4c4c');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerSocialIconBorderhovercolor', 'lz_fitness_footer_copyright_settings', 'Social Icon Border Hover Color', '#de0000');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerMiddle Footercolor', 'lz_fitness_footer_copyright_settings', 'Middle Footer Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_footerCopyright Footercolor', 'lz_fitness_footer_copyright_settings', 'Bottom Footer Copyright Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_Bottom_FooterCopyrightText_Background Color', 'lz_fitness_footer_copyright_settings', 'Bottom Footer Copyright Text Background Color', '#000000');
