<?php
/**
 * Customiser section for featured
 **/
// Start Feature section 
$wp_customize->add_section(
    'lz_fitness_featured_section',
    array(
        'title' => __( 'Featured Products', 'lz-fitness-premium' ), 
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'lz_fitness_featured_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_featured_section_disable',
        array(
            'settings'      => 'lz_fitness_featured_section_disable',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ), 
                'off' => __( 'No', 'lz-fitness-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'featured', 'lz_fitness_featured_section', $color='#ffffff');

$wp_customize->add_setting(
    'lz_fitness_featured_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_featured_title_sub_title_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Section Title', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_featured_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'FEATURED PRODUCTS', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_title',
    array(
        'settings'      => 'lz_fitness_featured_title',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'lz-fitness-premium' )
    )
);
/*$wp_customize->add_setting(
    'lz_fitness_featured_sub_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Best of Photos', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_sub_title',
    array(
        'settings'      => 'lz_fitness_featured_sub_title',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'textarea',
        'label'         => __( 'Sub Title', 'lz-fitness-premium' ),
    )
);*/


// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_featured_HeadingColor', 'lz_fitness_featured_section', 'Heading color ', '#ffffff');
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_featured_HeadingBackgroundColor', 'lz_fitness_featured_section', 'Heading Background color ', '#393939');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_featured_TextColor', 'lz_fitness_featured_section', 'Product Name color', '#333333');
// Price Text color
addColorPalatOption($wp_customize, 'lz_fitness_featuredPrice_TextColor', 'lz_fitness_featured_section', 'Sale Price Text color', '#0a3890');
addColorPalatOption($wp_customize, 'lz_fitness_featuredPrice_SalePriceTextBackgroundcolor', 'lz_fitness_featured_section', 'Sale Price Text Background color', '#fff9c0');
// Price Text color
addColorPalatOption($wp_customize, 'lz_fitness_featuredregularPrice_TextColor', 'lz_fitness_featured_section', 'Regular Price Text color', '#7b7878'); 
// Icon  color
addColorPalatOption($wp_customize, 'lz_fitness_featuredIcon_TextColor', 'lz_fitness_featured_section', 'Icon color', '#ffffff');
// Icon  color
addColorPalatOption($wp_customize, 'lz_fitness_featuredIconButton_TextColor', 'lz_fitness_featured_section', 'Button Text color', '#ffffff');
// Preview Button Color
addColorPalatOption($wp_customize, 'lz_fitness_PreviewButtonColor_TextColor', 'lz_fitness_featured_section', 'Button Background Color', '#e46d07');
// Preview Button Color
addColorPalatOption($wp_customize, 'lz_fitness_faeturedbBorderColor_TextColor', 'lz_fitness_featured_section', 'Button Border Color', '#e46d07');
addColorPalatOption($wp_customize, 'lz_fitness_faeturedbBorderHoversColor_TextColor', 'lz_fitness_featured_section', 'Button Border Hover Color', '#e46d07');
// product title wrap color
addColorPalatOption($wp_customize, 'lz_fitness_producttitlewrap_TextColor', 'lz_fitness_featured_section', 'Product Title Box Color', '#ffffff');

// Preview Button Color
addColorPalatOption($wp_customize, 'lz_fitness_PreviewButtonBorderColor_TextColor', 'lz_fitness_featured_section', 'Product Box Border Color', '#ccc'); 
// Preview Button Color
addColorPalatOption($wp_customize, 'lz_fitness_feaPrevNextButtonColor_TextColor', 'lz_fitness_featured_section', 'Prev & Next Button Color', '#ffffff'); 
// Preview Button Color
addColorPalatOption($wp_customize, 'lz_fitness_feaPrevNextButtonhoverColor_TextColor', 'lz_fitness_featured_section', 'Prev & Next Button Hover Color', '#878787'); 




